From: Hilko Bengen <bengen@debian.org>
Date: Wed, 22 Jul 2015 16:44:34 +0200
Subject: Remove what seem to be Test::Expect workarounds

---
 t/50expect.t | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)
 mode change 100644 => 100755 t/50expect.t

diff --git a/t/50expect.t b/t/50expect.t
old mode 100644
new mode 100755
index baf043a..05c040d
--- a/t/50expect.t
+++ b/t/50expect.t
@@ -53,8 +53,8 @@ expect ",wh X", 'X:://
 @ISA x', 'package list';
 expect ",me X", 'a x', 'methods 1';
 
-expect '$x = bless {}, X;', '$x = bless {}, X;'; # XXX: stupid expect.
-expect ',me $x', ",me \$x\na x", 'methods 2';    # XXX: stupid expect.
+expect '$x = bless {}, X;', '';
+expect ',me $x', "a x", 'methods 2';
 
 ######################################################################
 ## Debugger
@@ -67,9 +67,8 @@ expect ',br testy.pl:6', "break testy.pl:6 if 1", 'break?';
 expect_send 'fib1 10';
 # sleep 1;
 expect_like qr|_<$Bin/testy.pl:6>|, 'break in fib';
-# XXX AGAIN STUPID EXPECT!
-expect '$n = 3', "\$n = 3\n3", 'munge lexicals';
-expect '$n = 3', "\$n = 3\n3", 'munge lexicals';
+expect '$n = 3', "3", 'munge lexicals';
+expect '$n = 3', "3", 'munge lexicals';
 # Solaris has different whitespace output here.
 # Also, / */ doesn't seem to work.
 expect_send ',in', 'munged';
